Bug 727277 - Request to recompile libraries with -Wl,-z,relro flags
Summary: Request to recompile libraries with -Wl,-z,relro flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fipscheck
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 727296 RHEL62CCC 846801 846802
TreeView+ depends on / blocked
 
Reported: 2011-08-01 17:54 UTC by Irina Boverman
Modified: 2012-08-08 18:29 UTC (History)
3 users (show)

Fixed In Version: fipscheck-1.2.0-6.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, the fipscheck library was linked without support for read-only relocations (RELRO) flags. The updated fipscheck packages are now provided with partial RELRO support.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:11:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:1733 normal SHIPPED_LIVE fipscheck enhancement update 2011-12-06 01:02:02 UTC

Comment 3 RHEL Product and Program Management 2011-08-01 18:28:54 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 7 Eliska Slobodova 2011-09-16 10:15:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the fipscheck library was linked without support for read-only relocations (RELRO) flags. The updated fipscheck packages are now provided with partial RELRO support.

Comment 8 errata-xmlrpc 2011-12-06 18:11:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2011-1733.html


Note You need to log in before you can comment on or make changes to this bug.